Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.events
Interface ExtendedElements

All Known Subinterfaces:
  Component, ComponentAddress, ManagementEvent

All Known Implementing Classes:
  AbstractExtendedElements, SimpleComponent, SimpleComponentAddress, SimpleManagementEvent

public interface ExtendedElements

This is a utility interface for WEF components that can be extended with arbitrary elements (their schema definitions include an xsd:any). The elements added using this interface's methods will be serialized under the root element of the concrete class' XML representation.

Author:
  Dan Jemiolo (danj)

Method Summary
`void` | `addExtendedElement(org.w3c.dom.Element xml)`
`void` | `addExtendedElement(QName elementName, java.lang.Object elementValue)`
`java.util.Collection` | `getExtendedElements()`
`java.util.Collection` | `getExtendedElements(QName elementName)`

Method Detail

### addExtendedElement

    public void addExtendedElement(org.w3c.dom.Element xml)

  Parameters:
    `xml` - The custom XML that will be added to end of the WEF component.

### addExtendedElement

    public void addExtendedElement(QName elementName,
                                   java.lang.Object elementValue)

  Parameters:
    `elementName` - The name of the XML element that will be added to the end of the WEF component.
    `elementValue` - The value that will be serialized to XML and added to the end of the WEF component.

### getExtendedElements

    public java.util.Collection getExtendedElements()

  Returns:
    All Elements added using the addExtendedElement() method(s).

### getExtendedElements

    public java.util.Collection getExtendedElements(QName elementName)

  Parameters:
    `elementName` - The QName of the desired Element(s)
  Returns:
    The set of extended Elements (which were provided using the addExtendedElement() methods) whose names are equal to the one given.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD